Page MenuHomePhabricator

llvm.noalias - Look through noalias for shouldAlignPointerArgs
AbandonedPublic

Authored by hfinkel on Apr 30 2015, 8:38 AM.

Details

Summary

This is part of the series started by D9375. When determining whether or not we should align memory likely used by memcpy, etc., look through llvm.noalias.

Diff Detail

Event Timeline

hfinkel updated this revision to Diff 24719.Apr 30 2015, 8:38 AM
hfinkel retitled this revision from to llvm.noalias - Look through noalias for shouldAlignPointerArgs.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added a subscriber: Unknown Object (MLST).
john.brawn accepted this revision.May 1 2015, 9:50 AM
john.brawn edited edge metadata.

LGTM, assuming that the conclusion of D9383 is that stripAndAccumulateInBoundsConstantOffsets takes a LookThroughNoAlias argument and that it doesn't default to true.

This revision is now accepted and ready to land.May 1 2015, 9:50 AM
rengolin edited edge metadata.Jul 18 2015, 6:53 AM

Hal,

This doesn't seem to have been committed. Just checking for stale reviews on my list...

--renato

I'm in the process of updating these locally, I'll post new versions soon.

Thanks again!

Sent from my Verizon Wireless 4G LTE DROID

Still stale... abandon?

Still stale... abandon?

I'll rebase these again soon.

hfinkel abandoned this revision.Jul 8 2016, 4:09 PM

This change should not be needed if noalias intrinsics are stripped by default.